---
title: "Les booléens"
weight: 6
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<div id="création" class="section level3">
<h3>Création</h3>
<p>Le résultat de la commande suivante</p>
<pre class="r"><code>1&lt;2;</code></pre>
<p>peut être stocké dans un objet</p>
<pre class="r"><code>x&lt;-1&lt;2;
x</code></pre>
<pre><code>## [1] TRUE</code></pre>
<p>Cet objet est un booléen</p>
<pre class="r"><code>class(1&lt;2)</code></pre>
<pre><code>## [1] &quot;logical&quot;</code></pre>
<p>D’autres opérateurs permettent d’obtenir des booléens</p>
<pre class="r"><code>1==2
1!=2
1&gt;=2
1&lt;=2
1&gt;2
1&lt;2</code></pre>
<p>Il peut prendre deux valeurs <code>TRUE</code> ou <code>FALSE</code>.
Ces deux valeurs peuvent être utilisées avec des opérateurs binaires spécifiques aux booleens</p>
<pre class="r"><code>(1==2)|TRUE
(1!=2)&amp;FALSE
any(1&gt;=2,TRUE)
all(1&lt;=2,2&lt;=3,3&lt;=4,4&lt;4,TRUE)
!all(1&lt;=2,2&lt;=3,3&lt;=4,4&lt;4,TRUE)
!any(1&lt;=2,2&lt;=3,3&lt;=4,4&lt;4,TRUE)</code></pre>
<p><code>TRUE</code> et <code>FALSE</code> peuvent être remplacés par
<code>T</code> et <code>F</code></p>
<pre class="r"><code>T&amp;F
T|F</code></pre>
</div>
